Loading...
Searching...
No Matches
Opm::BlackOilConvectiveMixingModule< TypeTag, true > Class Template Reference

## Classes

struct | ConvectiveMixingModuleParam

## Static Public Member Functions

static void | modifyAvgDensity (Evaluation &rhoAvg, const IntensiveQuantities &intQuantsIn, const IntensiveQuantities &intQuantsEx, const unsigned phaseIdx, const ConvectiveMixingModuleParam &info)
template<class Context>
static void | addConvectiveMixingFlux (RateVector &flux, const Context &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static void | addConvectiveMixingFlux (RateVector &flux, const IntensiveQuantities &intQuantsIn, const IntensiveQuantities &intQuantsEx, const unsigned globalIndexIn, const unsigned globalIndexEx, const Scalar distZg, const Scalar trans, const Scalar faceArea, const ConvectiveMixingModuleParam &info)
| Adds the convective mixing mass flux flux to the flux vector over a flux integration point.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilconvectivemixingmodule.hh